@W3C::Rdf::RdfObjects::Uris::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::Uris::_TableDesc = ( '-primaryKey' => 'id',
                                            '-class' => 'W3C::Rdf::RdfObjects::Uris',
                                            '-fields' => { 'uri' => { '-size' => 255,
                                                                      '-default' => '',
                                                                      '-type' => 4 },
                                                           'id' => { '-size' => 10,
                                                                     '-default' => '0',
                                                                     '-referents' => [ 'Fragments.uri' ],
                                                                     '-type' => '0' } },
                                            '-index' => { 'u_uri' => { '-fields' => { 'uri' => '0' },
                                                                       '-unique' => 1,
                                                                       '-sequence' => [ 'uri' ] } },
                                            '-fieldOrder' => [ 'id',
                                                               'uri' ],
                                            '-table' => 'Uris' );
$W3C::Rdf::RdfObjects::_AllTables{'Uris'} = \%W3C::Rdf::RdfObjects::Uris::_TableDesc;
sub W3C::Rdf::RdfObjects::Uris::getTableDesc {return \%W3C::Rdf::RdfObjects::Uris::_TableDesc;}
sub W3C::Rdf::RdfObjects::Uris::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Uris::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Uris::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Uris::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Uris::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Uris::_getUri {return $_[0]->{FIELD_VALUES}{'uri'};}
sub W3C::Rdf::RdfObjects::Uris::_checkUri {return ${($_[0]->check(['uri']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Uris::_setUri {$_[0]->{FIELD_VALUES}{'uri'} = $_[1];}
sub W3C::Rdf::RdfObjects::Uris::_updateUri {$_[0]->update({'uri' => $_[1]});}

@W3C::Rdf::RdfObjects::Containers::ISA = ( 'W3C::Rdf::MysqlElement' );
$W3C::Rdf::RdfObjects::Containers::type_BAG = '0';
$W3C::Rdf::RdfObjects::Containers::type_ALT = 1;
$W3C::Rdf::RdfObjects::Containers::type_SEQ = 2;
%W3C::Rdf::RdfObjects::Containers::type_to_string = ( '0' => 'Bag',
                                                      1 => 'Alt',
                                                      2 => 'Seq' );
%W3C::Rdf::RdfObjects::Containers::string_to_type = ( 'Seq' => 2,
                                                      'Alt' => 1,
                                                      'Bag' => '0' );
$W3C::Rdf::RdfObjects::Containers::containerType_SEQ = '0';
$W3C::Rdf::RdfObjects::Containers::containerType_BAG = 1;
$W3C::Rdf::RdfObjects::Containers::containerType_ALT = 2;
%W3C::Rdf::RdfObjects::Containers::containerType_to_string = ( '0' => 'Seq',
                                                               1 => 'Bag',
                                                               2 => 'Alt' );
%W3C::Rdf::RdfObjects::Containers::string_to_containerType = ( 'Alt' => 2,
                                                               'Seq' => '0',
                                                               'Bag' => 1 );
%W3C::Rdf::RdfObjects::Containers::_TableDesc = ( '-primaryKey' => 'id',
                                                  '-class' => 'W3C::Rdf::RdfObjects::Containers',
                                                  '-fields' => { 'nextOrdinal' => { '-size' => 11,
                                                                                    '-null' => 1,
                                                                                    '-type' => '0' },
                                                                 'rdfId' => { '-size' => undef,
                                                                              '-null' => 1,
                                                                              '-type' => 5 },
                                                                 'type' => { '-null' => 1,
                                                                             '-stringsTo' => \%W3C::Rdf::RdfObjects::Containers::string_to_type,
                                                                             '-toStrings' => \%W3C::Rdf::RdfObjects::Containers::type_to_string,
                                                                             '-values' => [ 'Bag',
                                                                                            'Alt',
                                                                                            'Seq' ],
                                                                             '-type' => 2 },
                                                                 'attribution' => { '-size' => 10,
                                                                                    '-null' => 1,
                                                                                    '-target' => 'Attributions',
                                                                                    '-type' => '0' },
                                                                 'containerType' => { '-null' => 1,
                                                                                      '-stringsTo' => \%W3C::Rdf::RdfObjects::Containers::string_to_containerType,
                                                                                      '-toStrings' => \%W3C::Rdf::RdfObjects::Containers::containerType_to_string,
                                                                                      '-values' => [ 'Seq',
                                                                                                     'Bag',
                                                                                                     'Alt' ],
                                                                                      '-type' => 2 },
                                                                 'id' => { '-size' => 11,
                                                                           '-default' => '0',
                                                                           '-type' => '0' } },
                                                  '-fieldOrder' => [ 'id',
                                                                     'rdfId',
                                                                     'type',
                                                                     'containerType',
                                                                     'nextOrdinal',
                                                                     'attribution' ],
                                                  '-table' => 'Containers' );
$W3C::Rdf::RdfObjects::_AllTables{'Containers'} = \%W3C::Rdf::RdfObjects::Containers::_TableDesc;
sub W3C::Rdf::RdfObjects::Containers::getTableDesc {return \%W3C::Rdf::RdfObjects::Containers::_TableDesc;}
sub W3C::Rdf::RdfObjects::Containers::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Containers::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Containers::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Containers::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Containers::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Containers::_getRdfId {return $_[0]->{FIELD_VALUES}{'rdfId'};}
sub W3C::Rdf::RdfObjects::Containers::_checkRdfId {return ${($_[0]->check(['rdfId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Containers::_setRdfId {$_[0]->{FIELD_VALUES}{'rdfId'} = $_[1];}
sub W3C::Rdf::RdfObjects::Containers::_updateRdfId {$_[0]->update({'rdfId' => $_[1]});}
sub W3C::Rdf::RdfObjects::Containers::_getType {return $_[0]->{FIELD_VALUES}{'type'};}
sub W3C::Rdf::RdfObjects::Containers::_checkType {return ${($_[0]->check(['type']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Containers::_setType {$_[0]->{FIELD_VALUES}{'type'} = $_[1];}
sub W3C::Rdf::RdfObjects::Containers::_updateType {$_[0]->update({'type' => $_[1]});}
sub W3C::Rdf::RdfObjects::Containers::_getContainerType {return $_[0]->{FIELD_VALUES}{'containerType'};}
sub W3C::Rdf::RdfObjects::Containers::_checkContainerType {return ${($_[0]->check(['containerType']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Containers::_setContainerType {$_[0]->{FIELD_VALUES}{'containerType'} = $_[1];}
sub W3C::Rdf::RdfObjects::Containers::_updateContainerType {$_[0]->update({'containerType' => $_[1]});}
sub W3C::Rdf::RdfObjects::Containers::_getNextOrdinal {return $_[0]->{FIELD_VALUES}{'nextOrdinal'};}
sub W3C::Rdf::RdfObjects::Containers::_checkNextOrdinal {return ${($_[0]->check(['nextOrdinal']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Containers::_setNextOrdinal {$_[0]->{FIELD_VALUES}{'nextOrdinal'} = $_[1];}
sub W3C::Rdf::RdfObjects::Containers::_updateNextOrdinal {$_[0]->update({'nextOrdinal' => $_[1]});}
sub W3C::Rdf::RdfObjects::Containers::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::Containers::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Containers::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::Containers::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::Fragments::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::Fragments::_TableDesc = ( '-primaryKey' => 'id',
                                                 '-class' => 'W3C::Rdf::RdfObjects::Fragments',
                                                 '-fields' => { 'uri' => { '-size' => 10,
                                                                           '-default' => '0',
                                                                           '-target' => 'Uris',
                                                                           '-type' => '0' },
                                                                'fragment' => { '-size' => 252,
                                                                                '-default' => '',
                                                                                '-type' => 4 },
                                                                'id' => { '-size' => 10,
                                                                          '-default' => '0',
                                                                          '-referents' => [ 'Attributions.uri',
                                                                                            'RdfIds.uri' ],
                                                                          '-type' => '0' } },
                                                 '-index' => { 'u_uri_fragment' => { '-fields' => { 'uri' => '0',
                                                                                                    'fragment' => 1 },
                                                                                     '-unique' => 1,
                                                                                     '-sequence' => [ 'uri',
                                                                                                      'fragment' ] } },
                                                 '-fieldOrder' => [ 'id',
                                                                    'uri',
                                                                    'fragment' ],
                                                 '-table' => 'Fragments' );
$W3C::Rdf::RdfObjects::_AllTables{'Fragments'} = \%W3C::Rdf::RdfObjects::Fragments::_TableDesc;
sub W3C::Rdf::RdfObjects::Fragments::getTableDesc {return \%W3C::Rdf::RdfObjects::Fragments::_TableDesc;}
sub W3C::Rdf::RdfObjects::Fragments::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Fragments::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Fragments::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Fragments::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Fragments::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Fragments::_getUri {return $_[0]->{FIELD_VALUES}{'uri'};}
sub W3C::Rdf::RdfObjects::Fragments::_checkUri {return ${($_[0]->check(['uri']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Fragments::_setUri {$_[0]->{FIELD_VALUES}{'uri'} = $_[1];}
sub W3C::Rdf::RdfObjects::Fragments::_updateUri {$_[0]->update({'uri' => $_[1]});}
sub W3C::Rdf::RdfObjects::Fragments::_getFragment {return $_[0]->{FIELD_VALUES}{'fragment'};}
sub W3C::Rdf::RdfObjects::Fragments::_checkFragment {return ${($_[0]->check(['fragment']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Fragments::_setFragment {$_[0]->{FIELD_VALUES}{'fragment'} = $_[1];}
sub W3C::Rdf::RdfObjects::Fragments::_updateFragment {$_[0]->update({'fragment' => $_[1]});}

@W3C::Rdf::RdfObjects::Descriptions::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::Descriptions::_TableDesc = ( '-primaryKey' => 'id',
                                                    '-class' => 'W3C::Rdf::RdfObjects::Descriptions',
                                                    '-fields' => { 'aboutEachPrefix' => { '-size' => 10,
                                                                                          '-default' => '0',
                                                                                          '-target' => 'RdfIds',
                                                                                          '-type' => '0' },
                                                                   'type' => { '-size' => 10,
                                                                               '-null' => 1,
                                                                               '-target' => 'RdfIds',
                                                                               '-type' => '0' },
                                                                   'about' => { '-size' => 10,
                                                                                '-default' => '0',
                                                                                '-target' => 'RdfIds',
                                                                                '-type' => '0' },
                                                                   'aboutEach' => { '-size' => 10,
                                                                                    '-default' => '0',
                                                                                    '-target' => 'RdfIds',
                                                                                    '-type' => '0' },
                                                                   'attribution' => { '-size' => 10,
                                                                                      '-default' => '0',
                                                                                      '-target' => 'Attributions',
                                                                                      '-type' => '0' },
                                                                   'id' => { '-size' => 11,
                                                                             '-default' => '0',
                                                                             '-referents' => [ 'MappedNodes.description' ],
                                                                             '-type' => '0' } },
                                                    '-index' => { 'i_attribution' => { '-fields' => { 'attribution' => '0' },
                                                                                       '-unique' => '',
                                                                                       '-sequence' => [ 'attribution' ] } },
                                                    '-fieldOrder' => [ 'id',
                                                                       'type',
                                                                       'about',
                                                                       'aboutEach',
                                                                       'aboutEachPrefix',
                                                                       'attribution' ],
                                                    '-table' => 'Descriptions' );
$W3C::Rdf::RdfObjects::_AllTables{'Descriptions'} = \%W3C::Rdf::RdfObjects::Descriptions::_TableDesc;
sub W3C::Rdf::RdfObjects::Descriptions::getTableDesc {return \%W3C::Rdf::RdfObjects::Descriptions::_TableDesc;}
sub W3C::Rdf::RdfObjects::Descriptions::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Descriptions::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Descriptions::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Descriptions::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Descriptions::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Descriptions::_getType {return $_[0]->{FIELD_VALUES}{'type'};}
sub W3C::Rdf::RdfObjects::Descriptions::_checkType {return ${($_[0]->check(['type']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Descriptions::_setType {$_[0]->{FIELD_VALUES}{'type'} = $_[1];}
sub W3C::Rdf::RdfObjects::Descriptions::_updateType {$_[0]->update({'type' => $_[1]});}
sub W3C::Rdf::RdfObjects::Descriptions::_getAbout {return $_[0]->{FIELD_VALUES}{'about'};}
sub W3C::Rdf::RdfObjects::Descriptions::_checkAbout {return ${($_[0]->check(['about']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Descriptions::_setAbout {$_[0]->{FIELD_VALUES}{'about'} = $_[1];}
sub W3C::Rdf::RdfObjects::Descriptions::_updateAbout {$_[0]->update({'about' => $_[1]});}
sub W3C::Rdf::RdfObjects::Descriptions::_getAboutEach {return $_[0]->{FIELD_VALUES}{'aboutEach'};}
sub W3C::Rdf::RdfObjects::Descriptions::_checkAboutEach {return ${($_[0]->check(['aboutEach']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Descriptions::_setAboutEach {$_[0]->{FIELD_VALUES}{'aboutEach'} = $_[1];}
sub W3C::Rdf::RdfObjects::Descriptions::_updateAboutEach {$_[0]->update({'aboutEach' => $_[1]});}
sub W3C::Rdf::RdfObjects::Descriptions::_getAboutEachPrefix {return $_[0]->{FIELD_VALUES}{'aboutEachPrefix'};}
sub W3C::Rdf::RdfObjects::Descriptions::_checkAboutEachPrefix {return ${($_[0]->check(['aboutEachPrefix']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Descriptions::_setAboutEachPrefix {$_[0]->{FIELD_VALUES}{'aboutEachPrefix'} = $_[1];}
sub W3C::Rdf::RdfObjects::Descriptions::_updateAboutEachPrefix {$_[0]->update({'aboutEachPrefix' => $_[1]});}
sub W3C::Rdf::RdfObjects::Descriptions::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::Descriptions::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Descriptions::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::Descriptions::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::Statements::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::Statements::_TableDesc = ( '-primaryKey' => 'id',
                                                  '-class' => 'W3C::Rdf::RdfObjects::Statements',
                                                  '-fields' => { 'containerId' => { '-size' => 10,
                                                                                    '-default' => '0',
                                                                                    '-target' => 'RdfIds',
                                                                                    '-type' => '0' },
                                                                 'subject' => { '-size' => 10,
                                                                                '-default' => '0',
                                                                                '-target' => 'RdfIds',
                                                                                '-type' => '0' },
                                                                 'predicate' => { '-size' => 10,
                                                                                  '-default' => '0',
                                                                                  '-target' => 'RdfIds',
                                                                                  '-type' => '0' },
                                                                 'attribution' => { '-size' => 10,
                                                                                    '-default' => '0',
                                                                                    '-target' => 'Attributions',
                                                                                    '-type' => '0' },
                                                                 'reifiedId' => { '-size' => 10,
                                                                                  '-default' => '0',
                                                                                  '-target' => 'RdfIds',
                                                                                  '-type' => '0' },
                                                                 'id' => { '-size' => 10,
                                                                           '-default' => '0',
                                                                           '-type' => '0' },
                                                                 'object' => { '-size' => 10,
                                                                               '-default' => '0',
                                                                               '-target' => 'RdfIds',
                                                                               '-type' => '0' } },
                                                  '-fieldOrder' => [ 'id',
                                                                     'predicate',
                                                                     'subject',
                                                                     'object',
                                                                     'containerId',
                                                                     'reifiedId',
                                                                     'attribution' ],
                                                  '-table' => 'Statements' );
$W3C::Rdf::RdfObjects::_AllTables{'Statements'} = \%W3C::Rdf::RdfObjects::Statements::_TableDesc;
sub W3C::Rdf::RdfObjects::Statements::getTableDesc {return \%W3C::Rdf::RdfObjects::Statements::_TableDesc;}
sub W3C::Rdf::RdfObjects::Statements::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Statements::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Statements::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Statements::_getPredicate {return $_[0]->{FIELD_VALUES}{'predicate'};}
sub W3C::Rdf::RdfObjects::Statements::_checkPredicate {return ${($_[0]->check(['predicate']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setPredicate {$_[0]->{FIELD_VALUES}{'predicate'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updatePredicate {$_[0]->update({'predicate' => $_[1]});}
sub W3C::Rdf::RdfObjects::Statements::_getSubject {return $_[0]->{FIELD_VALUES}{'subject'};}
sub W3C::Rdf::RdfObjects::Statements::_checkSubject {return ${($_[0]->check(['subject']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setSubject {$_[0]->{FIELD_VALUES}{'subject'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updateSubject {$_[0]->update({'subject' => $_[1]});}
sub W3C::Rdf::RdfObjects::Statements::_getObject {return $_[0]->{FIELD_VALUES}{'object'};}
sub W3C::Rdf::RdfObjects::Statements::_checkObject {return ${($_[0]->check(['object']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setObject {$_[0]->{FIELD_VALUES}{'object'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updateObject {$_[0]->update({'object' => $_[1]});}
sub W3C::Rdf::RdfObjects::Statements::_getContainerId {return $_[0]->{FIELD_VALUES}{'containerId'};}
sub W3C::Rdf::RdfObjects::Statements::_checkContainerId {return ${($_[0]->check(['containerId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setContainerId {$_[0]->{FIELD_VALUES}{'containerId'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updateContainerId {$_[0]->update({'containerId' => $_[1]});}
sub W3C::Rdf::RdfObjects::Statements::_getReifiedId {return $_[0]->{FIELD_VALUES}{'reifiedId'};}
sub W3C::Rdf::RdfObjects::Statements::_checkReifiedId {return ${($_[0]->check(['reifiedId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setReifiedId {$_[0]->{FIELD_VALUES}{'reifiedId'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updateReifiedId {$_[0]->update({'reifiedId' => $_[1]});}
sub W3C::Rdf::RdfObjects::Statements::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::Statements::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Statements::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::Statements::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::Attributions::ISA = ( 'W3C::Rdf::MysqlElement' );
$W3C::Rdf::RdfObjects::Attributions::type_SOURCE = '0';
$W3C::Rdf::RdfObjects::Attributions::type_GENERATED = 1;
$W3C::Rdf::RdfObjects::Attributions::type_REIFIED = 2;
%W3C::Rdf::RdfObjects::Attributions::type_to_string = ( '0' => 'Source',
                                                        1 => 'Generated',
                                                        2 => 'Reified' );
%W3C::Rdf::RdfObjects::Attributions::string_to_type = ( 'Reified' => 2,
                                                        'Source' => '0',
                                                        'Generated' => 1 );
%W3C::Rdf::RdfObjects::Attributions::_TableDesc = ( '-primaryKey' => 'id',
                                                    '-class' => 'W3C::Rdf::RdfObjects::Attributions',
                                                    '-fields' => { 'uri' => { '-size' => 10,
                                                                              '-default' => '0',
                                                                              '-target' => 'Fragments',
                                                                              '-type' => '0' },
                                                                   'source' => { '-size' => undef,
                                                                                 '-null' => 1,
                                                                                 '-type' => 5 },
                                                                   'statedSum' => { '-size' => 11,
                                                                                    '-null' => 1,
                                                                                    '-type' => '0' },
                                                                   'parent' => { '-size' => 10,
                                                                                 '-default' => '0',
                                                                                 '-target' => 'Attributions',
                                                                                 '-type' => '0' },
                                                                   'type' => { '-stringsTo' => \%W3C::Rdf::RdfObjects::Attributions::string_to_type,
                                                                               '-toStrings' => \%W3C::Rdf::RdfObjects::Attributions::type_to_string,
                                                                               '-default' => 'Source',
                                                                               '-values' => [ 'Source',
                                                                                              'Generated',
                                                                                              'Reified' ],
                                                                               '-type' => 2 },
                                                                   'trusted' => { '-size' => 1,
                                                                                  '-null' => 1,
                                                                                  '-type' => 1 },
                                                                   'sum' => { '-size' => 11,
                                                                              '-null' => 1,
                                                                              '-type' => '0' },
                                                                   'id' => { '-size' => 11,
                                                                             '-default' => '0',
                                                                             '-referents' => [ 'Containers.attribution',
                                                                                               'Descriptions.attribution',
                                                                                               'Statements.attribution',
                                                                                               'Attributions.parent',
                                                                                               'GenIds.attribution',
                                                                                               'MappedNodes.attribution',
                                                                                               'MappedStatements.attribution',
                                                                                               'TypeClosures.attribution',
                                                                                               'AttributionClosures.sub',
                                                                                               'AttributionClosures.super',
                                                                                               'AttributionClosures.attribution' ],
                                                                             '-type' => '0' } },
                                                    '-index' => { 'u_type_uri_parent' => { '-fields' => { 'uri' => 1,
                                                                                                          'parent' => 2,
                                                                                                          'type' => '0' },
                                                                                           '-unique' => 1,
                                                                                           '-sequence' => [ 'type',
                                                                                                            'uri',
                                                                                                            'parent' ] } },
                                                    '-fieldOrder' => [ 'id',
                                                                       'type',
                                                                       'uri',
                                                                       'parent',
                                                                       'source',
                                                                       'trusted',
                                                                       'sum',
                                                                       'statedSum' ],
                                                    '-table' => 'Attributions' );
$W3C::Rdf::RdfObjects::_AllTables{'Attributions'} = \%W3C::Rdf::RdfObjects::Attributions::_TableDesc;
sub W3C::Rdf::RdfObjects::Attributions::getTableDesc {return \%W3C::Rdf::RdfObjects::Attributions::_TableDesc;}
sub W3C::Rdf::RdfObjects::Attributions::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Attributions::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getType {return $_[0]->{FIELD_VALUES}{'type'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkType {return ${($_[0]->check(['type']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setType {$_[0]->{FIELD_VALUES}{'type'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateType {$_[0]->update({'type' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getUri {return $_[0]->{FIELD_VALUES}{'uri'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkUri {return ${($_[0]->check(['uri']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setUri {$_[0]->{FIELD_VALUES}{'uri'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateUri {$_[0]->update({'uri' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getParent {return $_[0]->{FIELD_VALUES}{'parent'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkParent {return ${($_[0]->check(['parent']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setParent {$_[0]->{FIELD_VALUES}{'parent'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateParent {$_[0]->update({'parent' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getSource {return $_[0]->{FIELD_VALUES}{'source'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkSource {return ${($_[0]->check(['source']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setSource {$_[0]->{FIELD_VALUES}{'source'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateSource {$_[0]->update({'source' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getTrusted {return $_[0]->{FIELD_VALUES}{'trusted'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkTrusted {return ${($_[0]->check(['trusted']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setTrusted {$_[0]->{FIELD_VALUES}{'trusted'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateTrusted {$_[0]->update({'trusted' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getSum {return $_[0]->{FIELD_VALUES}{'sum'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkSum {return ${($_[0]->check(['sum']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setSum {$_[0]->{FIELD_VALUES}{'sum'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateSum {$_[0]->update({'sum' => $_[1]});}
sub W3C::Rdf::RdfObjects::Attributions::_getStatedSum {return $_[0]->{FIELD_VALUES}{'statedSum'};}
sub W3C::Rdf::RdfObjects::Attributions::_checkStatedSum {return ${($_[0]->check(['statedSum']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Attributions::_setStatedSum {$_[0]->{FIELD_VALUES}{'statedSum'} = $_[1];}
sub W3C::Rdf::RdfObjects::Attributions::_updateStatedSum {$_[0]->update({'statedSum' => $_[1]});}

@W3C::Rdf::RdfObjects::Strings::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::Strings::_TableDesc = ( '-primaryKey' => 'id',
                                               '-class' => 'W3C::Rdf::RdfObjects::Strings',
                                               '-fields' => { 'substring' => { '-size' => 255,
                                                                               '-default' => '',
                                                                               '-type' => 4 },
                                                              'id' => { '-size' => 11,
                                                                        '-default' => '0',
                                                                        '-referents' => [ 'RdfIds.string' ],
                                                                        '-type' => '0' },
                                                              'string' => { '-size' => undef,
                                                                            '-null' => 1,
                                                                            '-type' => 5 } },
                                               '-index' => { 'u_substring' => { '-fields' => { 'substring' => '0' },
                                                                                '-unique' => '',
                                                                                '-sequence' => [ 'substring' ] } },
                                               '-fieldOrder' => [ 'id',
                                                                  'substring',
                                                                  'string' ],
                                               '-table' => 'Strings' );
$W3C::Rdf::RdfObjects::_AllTables{'Strings'} = \%W3C::Rdf::RdfObjects::Strings::_TableDesc;
sub W3C::Rdf::RdfObjects::Strings::getTableDesc {return \%W3C::Rdf::RdfObjects::Strings::_TableDesc;}
sub W3C::Rdf::RdfObjects::Strings::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::Strings::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::Strings::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Strings::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::Strings::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::Strings::_getSubstring {return $_[0]->{FIELD_VALUES}{'substring'};}
sub W3C::Rdf::RdfObjects::Strings::_checkSubstring {return ${($_[0]->check(['substring']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Strings::_setSubstring {$_[0]->{FIELD_VALUES}{'substring'} = $_[1];}
sub W3C::Rdf::RdfObjects::Strings::_updateSubstring {$_[0]->update({'substring' => $_[1]});}
sub W3C::Rdf::RdfObjects::Strings::_getString {return $_[0]->{FIELD_VALUES}{'string'};}
sub W3C::Rdf::RdfObjects::Strings::_checkString {return ${($_[0]->check(['string']))[0]}[0];}
sub W3C::Rdf::RdfObjects::Strings::_setString {$_[0]->{FIELD_VALUES}{'string'} = $_[1];}
sub W3C::Rdf::RdfObjects::Strings::_updateString {$_[0]->update({'string' => $_[1]});}

@W3C::Rdf::RdfObjects::GenIds::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::GenIds::_TableDesc = ( '-primaryKey' => 'id',
                                              '-class' => 'W3C::Rdf::RdfObjects::GenIds',
                                              '-fields' => { 'attribution' => { '-size' => 10,
                                                                                '-default' => '0',
                                                                                '-target' => 'Attributions',
                                                                                '-type' => '0' },
                                                             'id' => { '-size' => 11,
                                                                       '-default' => '0',
                                                                       '-referents' => [ 'RdfIds.genId' ],
                                                                       '-type' => '0' } },
                                              '-index' => { 'i_attribution' => { '-fields' => { 'attribution' => '0' },
                                                                                 '-unique' => '',
                                                                                 '-sequence' => [ 'attribution' ] } },
                                              '-fieldOrder' => [ 'id',
                                                                 'attribution' ],
                                              '-table' => 'GenIds' );
$W3C::Rdf::RdfObjects::_AllTables{'GenIds'} = \%W3C::Rdf::RdfObjects::GenIds::_TableDesc;
sub W3C::Rdf::RdfObjects::GenIds::getTableDesc {return \%W3C::Rdf::RdfObjects::GenIds::_TableDesc;}
sub W3C::Rdf::RdfObjects::GenIds::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::GenIds::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::GenIds::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::GenIds::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::GenIds::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::GenIds::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::GenIds::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::GenIds::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::GenIds::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::RdfIds::ISA = ( 'W3C::Rdf::MysqlElement' );
$W3C::Rdf::RdfObjects::RdfIds::type_ID = '0';
$W3C::Rdf::RdfObjects::RdfIds::type_REF = 1;
$W3C::Rdf::RdfObjects::RdfIds::type_STRING = 2;
$W3C::Rdf::RdfObjects::RdfIds::type_FAKE = 3;
$W3C::Rdf::RdfObjects::RdfIds::type_GEN = 4;
%W3C::Rdf::RdfObjects::RdfIds::type_to_string = ( '0' => 'ID',
                                                  1 => 'Ref',
                                                  2 => 'String',
                                                  3 => 'Fake',
                                                  4 => 'Gen' );
%W3C::Rdf::RdfObjects::RdfIds::string_to_type = ( 'Gen' => 4,
                                                  'Ref' => 1,
                                                  'ID' => '0',
                                                  'Fake' => 3,
                                                  'String' => 2 );
%W3C::Rdf::RdfObjects::RdfIds::_TableDesc = ( '-primaryKey' => 'id',
                                              '-class' => 'W3C::Rdf::RdfObjects::RdfIds',
                                              '-fields' => { 'uri' => { '-size' => 10,
                                                                        '-default' => '0',
                                                                        '-target' => 'Fragments',
                                                                        '-type' => '0' },
                                                             'type' => { '-stringsTo' => \%W3C::Rdf::RdfObjects::RdfIds::string_to_type,
                                                                         '-toStrings' => \%W3C::Rdf::RdfObjects::RdfIds::type_to_string,
                                                                         '-default' => 'ID',
                                                                         '-values' => [ 'ID',
                                                                                        'Ref',
                                                                                        'String',
                                                                                        'Fake',
                                                                                        'Gen' ],
                                                                         '-type' => 2 },
                                                             'id' => { '-size' => 11,
                                                                       '-default' => '0',
                                                                       '-referents' => [ 'Descriptions.type',
                                                                                         'Descriptions.about',
                                                                                         'Descriptions.aboutEach',
                                                                                         'Descriptions.aboutEachPrefix',
                                                                                         'Statements.predicate',
                                                                                         'Statements.subject',
                                                                                         'Statements.object',
                                                                                         'Statements.containerId',
                                                                                         'Statements.reifiedId',
                                                                                         'MappedNodes.rdfId',
                                                                                         'MappedNodes.mapFrom',
                                                                                         'MappedNodes.type',
                                                                                         'MappedNodes.container',
                                                                                         'MappedStatements.predicate',
                                                                                         'MappedStatements.subject',
                                                                                         'MappedStatements.object',
                                                                                         'MappedStatements.containerId',
                                                                                         'MappedStatements.reifiedId',
                                                                                         'TypeClosures.node',
                                                                                         'TypeClosures.type' ],
                                                                       '-type' => '0' },
                                                             'string' => { '-size' => 10,
                                                                           '-default' => '0',
                                                                           '-target' => 'Strings',
                                                                           '-type' => '0' },
                                                             'genId' => { '-size' => 10,
                                                                          '-default' => '0',
                                                                          '-target' => 'GenIds',
                                                                          '-type' => '0' } },
                                              '-index' => { 'u_uri_genId_string' => { '-fields' => { 'uri' => 2,
                                                                                                     'type' => '0',
                                                                                                     'string' => 3,
                                                                                                     'genId' => 1 },
                                                                                      '-unique' => 1,
                                                                                      '-sequence' => [ 'type',
                                                                                                       'genId',
                                                                                                       'uri',
                                                                                                       'string' ] } },
                                              '-fieldOrder' => [ 'id',
                                                                 'type',
                                                                 'genId',
                                                                 'uri',
                                                                 'string' ],
                                              '-table' => 'RdfIds' );
$W3C::Rdf::RdfObjects::_AllTables{'RdfIds'} = \%W3C::Rdf::RdfObjects::RdfIds::_TableDesc;
sub W3C::Rdf::RdfObjects::RdfIds::getTableDesc {return \%W3C::Rdf::RdfObjects::RdfIds::_TableDesc;}
sub W3C::Rdf::RdfObjects::RdfIds::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::RdfIds::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::RdfIds::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::RdfIds::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::RdfIds::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::RdfIds::_getType {return $_[0]->{FIELD_VALUES}{'type'};}
sub W3C::Rdf::RdfObjects::RdfIds::_checkType {return ${($_[0]->check(['type']))[0]}[0];}
sub W3C::Rdf::RdfObjects::RdfIds::_setType {$_[0]->{FIELD_VALUES}{'type'} = $_[1];}
sub W3C::Rdf::RdfObjects::RdfIds::_updateType {$_[0]->update({'type' => $_[1]});}
sub W3C::Rdf::RdfObjects::RdfIds::_getGenId {return $_[0]->{FIELD_VALUES}{'genId'};}
sub W3C::Rdf::RdfObjects::RdfIds::_checkGenId {return ${($_[0]->check(['genId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::RdfIds::_setGenId {$_[0]->{FIELD_VALUES}{'genId'} = $_[1];}
sub W3C::Rdf::RdfObjects::RdfIds::_updateGenId {$_[0]->update({'genId' => $_[1]});}
sub W3C::Rdf::RdfObjects::RdfIds::_getUri {return $_[0]->{FIELD_VALUES}{'uri'};}
sub W3C::Rdf::RdfObjects::RdfIds::_checkUri {return ${($_[0]->check(['uri']))[0]}[0];}
sub W3C::Rdf::RdfObjects::RdfIds::_setUri {$_[0]->{FIELD_VALUES}{'uri'} = $_[1];}
sub W3C::Rdf::RdfObjects::RdfIds::_updateUri {$_[0]->update({'uri' => $_[1]});}
sub W3C::Rdf::RdfObjects::RdfIds::_getString {return $_[0]->{FIELD_VALUES}{'string'};}
sub W3C::Rdf::RdfObjects::RdfIds::_checkString {return ${($_[0]->check(['string']))[0]}[0];}
sub W3C::Rdf::RdfObjects::RdfIds::_setString {$_[0]->{FIELD_VALUES}{'string'} = $_[1];}
sub W3C::Rdf::RdfObjects::RdfIds::_updateString {$_[0]->update({'string' => $_[1]});}

@W3C::Rdf::RdfObjects::MappedNodes::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::MappedNodes::_TableDesc = ( '-primaryKey' => 'id',
                                                   '-class' => 'W3C::Rdf::RdfObjects::MappedNodes',
                                                   '-fields' => { 'rdfId' => { '-size' => 11,
                                                                               '-null' => 1,
                                                                               '-target' => 'RdfIds',
                                                                               '-type' => '0' },
                                                                  'type' => { '-size' => 10,
                                                                              '-null' => 1,
                                                                              '-target' => 'RdfIds',
                                                                              '-type' => '0' },
                                                                  'mapFrom' => { '-size' => 11,
                                                                                 '-null' => 1,
                                                                                 '-target' => 'RdfIds',
                                                                                 '-type' => '0' },
                                                                  'container' => { '-size' => 11,
                                                                                   '-null' => 1,
                                                                                   '-target' => 'RdfIds',
                                                                                   '-type' => '0' },
                                                                  'description' => { '-size' => 11,
                                                                                     '-null' => 1,
                                                                                     '-target' => 'Descriptions',
                                                                                     '-type' => '0' },
                                                                  'attribution' => { '-size' => 11,
                                                                                     '-null' => 1,
                                                                                     '-target' => 'Attributions',
                                                                                     '-type' => '0' },
                                                                  'id' => { '-size' => 10,
                                                                            '-default' => '0',
                                                                            '-referents' => [ 'MappedStatements.subjectMap',
                                                                                              'MappedStatements.objectMap' ],
                                                                            '-type' => '0' } },
                                                   '-fieldOrder' => [ 'id',
                                                                      'rdfId',
                                                                      'mapFrom',
                                                                      'type',
                                                                      'description',
                                                                      'container',
                                                                      'attribution' ],
                                                   '-table' => 'MappedNodes' );
$W3C::Rdf::RdfObjects::_AllTables{'MappedNodes'} = \%W3C::Rdf::RdfObjects::MappedNodes::_TableDesc;
sub W3C::Rdf::RdfObjects::MappedNodes::getTableDesc {return \%W3C::Rdf::RdfObjects::MappedNodes::_TableDesc;}
sub W3C::Rdf::RdfObjects::MappedNodes::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::MappedNodes::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedNodes::_getRdfId {return $_[0]->{FIELD_VALUES}{'rdfId'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkRdfId {return ${($_[0]->check(['rdfId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setRdfId {$_[0]->{FIELD_VALUES}{'rdfId'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateRdfId {$_[0]->update({'rdfId' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedNodes::_getMapFrom {return $_[0]->{FIELD_VALUES}{'mapFrom'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkMapFrom {return ${($_[0]->check(['mapFrom']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setMapFrom {$_[0]->{FIELD_VALUES}{'mapFrom'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateMapFrom {$_[0]->update({'mapFrom' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedNodes::_getType {return $_[0]->{FIELD_VALUES}{'type'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkType {return ${($_[0]->check(['type']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setType {$_[0]->{FIELD_VALUES}{'type'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateType {$_[0]->update({'type' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedNodes::_getDescription {return $_[0]->{FIELD_VALUES}{'description'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkDescription {return ${($_[0]->check(['description']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setDescription {$_[0]->{FIELD_VALUES}{'description'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateDescription {$_[0]->update({'description' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedNodes::_getContainer {return $_[0]->{FIELD_VALUES}{'container'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkContainer {return ${($_[0]->check(['container']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setContainer {$_[0]->{FIELD_VALUES}{'container'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateContainer {$_[0]->update({'container' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedNodes::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::MappedNodes::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedNodes::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedNodes::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::MappedStatements::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::MappedStatements::_TableDesc = ( '-primaryKey' => 'id',
                                                        '-class' => 'W3C::Rdf::RdfObjects::MappedStatements',
                                                        '-fields' => { 'containerId' => { '-size' => 10,
                                                                                          '-default' => '0',
                                                                                          '-target' => 'RdfIds',
                                                                                          '-type' => '0' },
                                                                       'subject' => { '-size' => 10,
                                                                                      '-null' => 1,
                                                                                      '-target' => 'RdfIds',
                                                                                      '-type' => '0' },
                                                                       'predicate' => { '-size' => 10,
                                                                                        '-default' => '0',
                                                                                        '-target' => 'RdfIds',
                                                                                        '-type' => '0' },
                                                                       'attribution' => { '-size' => 10,
                                                                                          '-default' => '0',
                                                                                          '-target' => 'Attributions',
                                                                                          '-type' => '0' },
                                                                       'reifiedId' => { '-size' => 10,
                                                                                        '-default' => '0',
                                                                                        '-target' => 'RdfIds',
                                                                                        '-type' => '0' },
                                                                       'objectMap' => { '-size' => 10,
                                                                                        '-null' => 1,
                                                                                        '-target' => 'MappedNodes',
                                                                                        '-type' => '0' },
                                                                       'id' => { '-size' => 10,
                                                                                 '-default' => '0',
                                                                                 '-type' => '0' },
                                                                       'subjectMap' => { '-size' => 10,
                                                                                         '-null' => 1,
                                                                                         '-target' => 'MappedNodes',
                                                                                         '-type' => '0' },
                                                                       'object' => { '-size' => 10,
                                                                                     '-null' => 1,
                                                                                     '-target' => 'RdfIds',
                                                                                     '-type' => '0' } },
                                                        '-fieldOrder' => [ 'id',
                                                                           'predicate',
                                                                           'subject',
                                                                           'subjectMap',
                                                                           'object',
                                                                           'objectMap',
                                                                           'containerId',
                                                                           'reifiedId',
                                                                           'attribution' ],
                                                        '-table' => 'MappedStatements' );
$W3C::Rdf::RdfObjects::_AllTables{'MappedStatements'} = \%W3C::Rdf::RdfObjects::MappedStatements::_TableDesc;
sub W3C::Rdf::RdfObjects::MappedStatements::getTableDesc {return \%W3C::Rdf::RdfObjects::MappedStatements::_TableDesc;}
sub W3C::Rdf::RdfObjects::MappedStatements::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::MappedStatements::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getPredicate {return $_[0]->{FIELD_VALUES}{'predicate'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkPredicate {return ${($_[0]->check(['predicate']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setPredicate {$_[0]->{FIELD_VALUES}{'predicate'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updatePredicate {$_[0]->update({'predicate' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getSubject {return $_[0]->{FIELD_VALUES}{'subject'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkSubject {return ${($_[0]->check(['subject']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setSubject {$_[0]->{FIELD_VALUES}{'subject'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateSubject {$_[0]->update({'subject' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getSubjectMap {return $_[0]->{FIELD_VALUES}{'subjectMap'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkSubjectMap {return ${($_[0]->check(['subjectMap']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setSubjectMap {$_[0]->{FIELD_VALUES}{'subjectMap'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateSubjectMap {$_[0]->update({'subjectMap' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getObject {return $_[0]->{FIELD_VALUES}{'object'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkObject {return ${($_[0]->check(['object']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setObject {$_[0]->{FIELD_VALUES}{'object'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateObject {$_[0]->update({'object' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getObjectMap {return $_[0]->{FIELD_VALUES}{'objectMap'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkObjectMap {return ${($_[0]->check(['objectMap']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setObjectMap {$_[0]->{FIELD_VALUES}{'objectMap'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateObjectMap {$_[0]->update({'objectMap' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getContainerId {return $_[0]->{FIELD_VALUES}{'containerId'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkContainerId {return ${($_[0]->check(['containerId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setContainerId {$_[0]->{FIELD_VALUES}{'containerId'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateContainerId {$_[0]->update({'containerId' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getReifiedId {return $_[0]->{FIELD_VALUES}{'reifiedId'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkReifiedId {return ${($_[0]->check(['reifiedId']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setReifiedId {$_[0]->{FIELD_VALUES}{'reifiedId'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateReifiedId {$_[0]->update({'reifiedId' => $_[1]});}
sub W3C::Rdf::RdfObjects::MappedStatements::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::MappedStatements::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::MappedStatements::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::MappedStatements::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::TypeClosures::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::TypeClosures::_TableDesc = ( '-primaryKey' => 'id',
                                                    '-class' => 'W3C::Rdf::RdfObjects::TypeClosures',
                                                    '-fields' => { 'type' => { '-size' => 10,
                                                                               '-default' => '0',
                                                                               '-target' => 'RdfIds',
                                                                               '-type' => '0' },
                                                                   'attribution' => { '-size' => 10,
                                                                                      '-default' => '0',
                                                                                      '-target' => 'Attributions',
                                                                                      '-type' => '0' },
                                                                   'id' => { '-size' => 10,
                                                                             '-default' => '0',
                                                                             '-type' => '0' },
                                                                   'node' => { '-size' => 10,
                                                                               '-default' => '0',
                                                                               '-target' => 'RdfIds',
                                                                               '-type' => '0' },
                                                                   'g' => { '-size' => 10,
                                                                            '-default' => '0',
                                                                            '-type' => '0' } },
                                                    '-index' => { 'u_node_type_g_attribution' => { '-fields' => { 'type' => 1,
                                                                                                                  'attribution' => 3,
                                                                                                                  'node' => '0',
                                                                                                                  'g' => 2 },
                                                                                                   '-unique' => '',
                                                                                                   '-sequence' => [ 'node',
                                                                                                                    'type',
                                                                                                                    'g',
                                                                                                                    'attribution' ] } },
                                                    '-fieldOrder' => [ 'id',
                                                                       'node',
                                                                       'type',
                                                                       'g',
                                                                       'attribution' ],
                                                    '-table' => 'TypeClosures' );
$W3C::Rdf::RdfObjects::_AllTables{'TypeClosures'} = \%W3C::Rdf::RdfObjects::TypeClosures::_TableDesc;
sub W3C::Rdf::RdfObjects::TypeClosures::getTableDesc {return \%W3C::Rdf::RdfObjects::TypeClosures::_TableDesc;}
sub W3C::Rdf::RdfObjects::TypeClosures::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::TypeClosures::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::TypeClosures::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::TypeClosures::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::TypeClosures::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::TypeClosures::_getNode {return $_[0]->{FIELD_VALUES}{'node'};}
sub W3C::Rdf::RdfObjects::TypeClosures::_checkNode {return ${($_[0]->check(['node']))[0]}[0];}
sub W3C::Rdf::RdfObjects::TypeClosures::_setNode {$_[0]->{FIELD_VALUES}{'node'} = $_[1];}
sub W3C::Rdf::RdfObjects::TypeClosures::_updateNode {$_[0]->update({'node' => $_[1]});}
sub W3C::Rdf::RdfObjects::TypeClosures::_getType {return $_[0]->{FIELD_VALUES}{'type'};}
sub W3C::Rdf::RdfObjects::TypeClosures::_checkType {return ${($_[0]->check(['type']))[0]}[0];}
sub W3C::Rdf::RdfObjects::TypeClosures::_setType {$_[0]->{FIELD_VALUES}{'type'} = $_[1];}
sub W3C::Rdf::RdfObjects::TypeClosures::_updateType {$_[0]->update({'type' => $_[1]});}
sub W3C::Rdf::RdfObjects::TypeClosures::_getG {return $_[0]->{FIELD_VALUES}{'g'};}
sub W3C::Rdf::RdfObjects::TypeClosures::_checkG {return ${($_[0]->check(['g']))[0]}[0];}
sub W3C::Rdf::RdfObjects::TypeClosures::_setG {$_[0]->{FIELD_VALUES}{'g'} = $_[1];}
sub W3C::Rdf::RdfObjects::TypeClosures::_updateG {$_[0]->update({'g' => $_[1]});}
sub W3C::Rdf::RdfObjects::TypeClosures::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::TypeClosures::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::TypeClosures::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::TypeClosures::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::AttributionClosures::ISA = ( 'W3C::Rdf::MysqlElement' );
%W3C::Rdf::RdfObjects::AttributionClosures::_TableDesc = ( '-primaryKey' => 'id',
                                                           '-class' => 'W3C::Rdf::RdfObjects::AttributionClosures',
                                                           '-fields' => { 'sub' => { '-size' => 10,
                                                                                     '-default' => '0',
                                                                                     '-target' => 'Attributions',
                                                                                     '-type' => '0' },
                                                                          'attribution' => { '-size' => 10,
                                                                                             '-default' => '0',
                                                                                             '-target' => 'Attributions',
                                                                                             '-type' => '0' },
                                                                          'id' => { '-size' => 10,
                                                                                    '-default' => '0',
                                                                                    '-type' => '0' },
                                                                          'g' => { '-size' => 10,
                                                                                   '-default' => '0',
                                                                                   '-type' => '0' },
                                                                          'super' => { '-size' => 10,
                                                                                       '-default' => '0',
                                                                                       '-target' => 'Attributions',
                                                                                       '-type' => '0' } },
                                                           '-index' => { 'u_sub_super_g_attribution' => { '-fields' => { 'sub' => '0',
                                                                                                                         'attribution' => 3,
                                                                                                                         'g' => 2,
                                                                                                                         'super' => 1 },
                                                                                                          '-unique' => '',
                                                                                                          '-sequence' => [ 'sub',
                                                                                                                           'super',
                                                                                                                           'g',
                                                                                                                           'attribution' ] } },
                                                           '-fieldOrder' => [ 'id',
                                                                              'sub',
                                                                              'super',
                                                                              'g',
                                                                              'attribution' ],
                                                           '-table' => 'AttributionClosures' );
$W3C::Rdf::RdfObjects::_AllTables{'AttributionClosures'} = \%W3C::Rdf::RdfObjects::AttributionClosures::_TableDesc;
sub W3C::Rdf::RdfObjects::AttributionClosures::getTableDesc {return \%W3C::Rdf::RdfObjects::AttributionClosures::_TableDesc;}
sub W3C::Rdf::RdfObjects::AttributionClosures::getPrimaryKey {return $_[0]->{DB_ID};}
sub W3C::Rdf::RdfObjects::AttributionClosures::_getId {return $_[0]->{FIELD_VALUES}{'id'};}
sub W3C::Rdf::RdfObjects::AttributionClosures::_checkId {return ${($_[0]->check(['id']))[0]}[0];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_setId {$_[0]->{FIELD_VALUES}{'id'} = $_[1];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_updateId {$_[0]->update({'id' => $_[1]});}
sub W3C::Rdf::RdfObjects::AttributionClosures::_getSub {return $_[0]->{FIELD_VALUES}{'sub'};}
sub W3C::Rdf::RdfObjects::AttributionClosures::_checkSub {return ${($_[0]->check(['sub']))[0]}[0];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_setSub {$_[0]->{FIELD_VALUES}{'sub'} = $_[1];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_updateSub {$_[0]->update({'sub' => $_[1]});}
sub W3C::Rdf::RdfObjects::AttributionClosures::_getSuper {return $_[0]->{FIELD_VALUES}{'super'};}
sub W3C::Rdf::RdfObjects::AttributionClosures::_checkSuper {return ${($_[0]->check(['super']))[0]}[0];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_setSuper {$_[0]->{FIELD_VALUES}{'super'} = $_[1];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_updateSuper {$_[0]->update({'super' => $_[1]});}
sub W3C::Rdf::RdfObjects::AttributionClosures::_getG {return $_[0]->{FIELD_VALUES}{'g'};}
sub W3C::Rdf::RdfObjects::AttributionClosures::_checkG {return ${($_[0]->check(['g']))[0]}[0];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_setG {$_[0]->{FIELD_VALUES}{'g'} = $_[1];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_updateG {$_[0]->update({'g' => $_[1]});}
sub W3C::Rdf::RdfObjects::AttributionClosures::_getAttribution {return $_[0]->{FIELD_VALUES}{'attribution'};}
sub W3C::Rdf::RdfObjects::AttributionClosures::_checkAttribution {return ${($_[0]->check(['attribution']))[0]}[0];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_setAttribution {$_[0]->{FIELD_VALUES}{'attribution'} = $_[1];}
sub W3C::Rdf::RdfObjects::AttributionClosures::_updateAttribution {$_[0]->update({'attribution' => $_[1]});}

@W3C::Rdf::RdfObjects::_TableOrder = ( 'Uris',
                                       'Containers',
                                       'Fragments',
                                       'Descriptions',
                                       'Statements',
                                       'Attributions',
                                       'Strings',
                                       'GenIds',
                                       'RdfIds',
                                       'MappedNodes',
                                       'MappedStatements',
                                       'TypeClosures',
                                       'AttributionClosures' );
